> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.dropboxapi.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.dropboxapi.com/_mcp/server.

# Get Current Account

POST https://api.dropboxapi.com/2/users/get_current_account

Get information about the current user's account.

**Required scope:** `account_info.read`

**Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints)

**Authentication:** [User](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#user-authentication), [Dropbox-API-Select-Admin (Whole Team)](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#admin-authentication-via-dropbox-api-select-admin)

Reference: https://docs.dropboxapi.com/dropbox-api/api-reference/user-endpoints/users/get-current-account

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0 token issued to a specific user. Use `Authorization: Bearer <token>`. Public clients should use the authorization code flow with PKCE (S256). For background or offline access, send `token_access_type=offline` during authorization and use the returned refresh token to obtain new access tokens. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

## Request

### Headers

- `Dropbox-API-Select-User` (string, optional) — Acts on behalf of a team member for supported user-auth operations. Pass a team member ID such as `dbmid:...`. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Select-Admin` (string, optional) — Acts as the specified team admin for supported user-auth operations. Pass a team member ID for an admin account. When used with a team token, that token must also include the `team_data.member` scope.
- `Dropbox-API-Path-Root` (string, optional) — Scopes path-based operations to a namespace (root). The value is a JSON serialization of the `common.PathRoot` union: `{".tag": "home"}`, `{".tag": "root", "root": "<namespace_id>"}`, or `{".tag": "namespace_id", "namespace_id": "<namespace_id>"}`. On failure the request returns 422 with a `common.PathRootError`.

## Response

### 200

Successful response

- `account_id` (string, required) — The user's unique Dropbox ID.
- `account_type` (object or object or object, required) — What type of account this user has.
  - users_common.AccountType.basic
    - `.tag` (enum, required)
      - Allowed values: `basic`
  - users_common.AccountType.pro
    - `.tag` (enum, required)
      - Allowed values: `pro`
  - users_common.AccountType.business
    - `.tag` (enum, required)
      - Allowed values: `business`
- `disabled` (boolean, required) — Whether the user has been disabled.
- `email` (string, required) — The user's email address. Do not rely on this without checking the `email_verified` field. Even then, it's possible that the user has since lost access to their email.
- `email_verified` (boolean, required) — Whether the user has verified their email address.
- `is_paired` (boolean, required) — Whether the user has a personal and work account. If the current account is personal, then `team` will always be `null`, but `is_paired` will indicate if a work account is linked.
- `locale` (string, required) — The language that the user specified. Locale tags will be [IETF language tags](http://en.wikipedia.org/wiki/IETF_language_tag).
- `name` (object, required) — Details of a user's name.
  - `abbreviated_name` (string, required) — An abbreviated form of the person's name. Their initials in most locales.
  - `display_name` (string, required) — A name that can be used directly to represent the name of a user's Dropbox account.
  - `familiar_name` (string, required) — Locale-dependent name. In the US, a person's familiar name is their `given_name`, but elsewhere, it could be any combination of a person's `given_name` and `surname`.
  - `given_name` (string, required) — Also known as a first name.
  - `surname` (string, required) — Also known as a last name or family name.
- `referral_link` (string, required) — The user's [referral link](https://www.dropbox.com/referrals).
- `root_info` (object or object or object, required) — The root info for this account.
  - common.RootInfo.team
    - `.tag` (enum, required)
      - Allowed values: `team`
    - `home_namespace_id` (string, required) — The namespace ID for user's home namespace.
    - `root_namespace_id` (string, required) — The namespace ID for user's root namespace. It will be the namespace ID of the shared team root if the user is member of a team with a separate team root, or the user root if user is member of a team with separate distinct roots for users. Otherwise it will be the same as `RootInfo.home_namespace_id`.
    - `home_path` (string, required) — The path for user's home directory under the shared team root.
  - common.RootInfo.user
    - `.tag` (enum, required)
      - Allowed values: `user`
    - `home_namespace_id` (string, required) — The namespace ID for user's home namespace.
    - `root_namespace_id` (string, required) — The namespace ID for user's root namespace. It will be the namespace ID of the shared team root if the user is member of a team with a separate team root, or the user root if user is member of a team with separate distinct roots for users. Otherwise it will be the same as `RootInfo.home_namespace_id`.
    - `home_path` (string, optional, nullable) — The path for user's home directory under the distinct user root.
  - Other
    - `home_namespace_id` (string, required) — The namespace ID for user's home namespace.
    - `root_namespace_id` (string, required) — The namespace ID for user's root namespace. It will be the namespace ID of the shared team root if the user is member of a team with a separate team root, or the user root if user is member of a team with separate distinct roots for users. Otherwise it will be the same as `RootInfo.home_namespace_id`.
    - `.tag` (string, required)
- `country` (string, optional, nullable) — The user's two-letter country code, if available. Country codes are based on [ISO 3166-1](http://en.wikipedia.org/wiki/ISO_3166-1).
- `profile_photo_url` (string, optional, nullable) — URL for the photo representing the user, if one is set.
- `team` (object, optional, nullable) — If this account is a member of a team, information about that team.
  - `id` (string, required) — The team's unique ID.
  - `name` (string, required) — The name of the team.
  - `office_addin_policy` (object or object or object, required) — Team policy governing the use of the Office Add-In.
    - team_policies.OfficeAddInPolicy.disabled
      - `.tag` (enum, required)
        - Allowed values: `disabled`
    - team_policies.OfficeAddInPolicy.enabled
      - `.tag` (enum, required)
        - Allowed values: `enabled`
    - Other
      - `.tag` (string, optional)
  - `sharing_policies` (object, required) — Team policies governing sharing.
    - `default_link_expiration_days_policy` (object or object or object or object or object or object or object or object or object, required) — Default expiration date for new links shared outside the team.
      - team_policies.DefaultLinkExpirationDaysPolicy.none
        - `.tag` (enum, required)
          - Allowed values: `none`
      - team_policies.DefaultLinkExpirationDaysPolicy.day_1
        - `.tag` (enum, required)
          - Allowed values: `day_1`
      - team_policies.DefaultLinkExpirationDaysPolicy.day_3
        - `.tag` (enum, required)
          - Allowed values: `day_3`
      - team_policies.DefaultLinkExpirationDaysPolicy.day_7
        - `.tag` (enum, required)
          - Allowed values: `day_7`
      - team_policies.DefaultLinkExpirationDaysPolicy.day_30
        - `.tag` (enum, required)
          - Allowed values: `day_30`
      - team_policies.DefaultLinkExpirationDaysPolicy.day_90
        - `.tag` (enum, required)
          - Allowed values: `day_90`
      - team_policies.DefaultLinkExpirationDaysPolicy.day_180
        - `.tag` (enum, required)
          - Allowed values: `day_180`
      - team_policies.DefaultLinkExpirationDaysPolicy.year_1
        - `.tag` (enum, required)
          - Allowed values: `year_1`
      - Other
        - `.tag` (string, optional)
    - `enforce_link_password_policy` (object or object or object, required) — If passwords are required for new links shared outside the team.
      - team_policies.EnforceLinkPasswordPolicy.optional
        - `.tag` (enum, required)
          - Allowed values: `optional`
      - team_policies.EnforceLinkPasswordPolicy.required
        - `.tag` (enum, required)
          - Allowed values: `required`
      - Other
        - `.tag` (string, optional)
    - `group_creation_policy` (object or object, required) — Who can create groups.
      - team_policies.GroupCreation.admins_and_members
        - `.tag` (enum, required)
          - Allowed values: `admins_and_members`
      - team_policies.GroupCreation.admins_only
        - `.tag` (enum, required)
          - Allowed values: `admins_only`
    - `shared_folder_join_policy` (object or object or object, required) — Which shared folders team members can join.
      - team_policies.SharedFolderJoinPolicy.from_team_only
        - `.tag` (enum, required)
          - Allowed values: `from_team_only`
      - team_policies.SharedFolderJoinPolicy.from_anyone
        - `.tag` (enum, required)
          - Allowed values: `from_anyone`
      - Other
        - `.tag` (string, optional)
    - `shared_folder_link_restriction_policy` (object or object or object, required) — Who can view links to content in shared folders.
      - team_policies.SharedFolderBlanketLinkRestrictionPolicy.members
        - `.tag` (enum, required)
          - Allowed values: `members`
      - team_policies.SharedFolderBlanketLinkRestrictionPolicy.anyone
        - `.tag` (enum, required)
          - Allowed values: `anyone`
      - Other
        - `.tag` (string, optional)
    - `shared_folder_member_policy` (object or object or object or object, required) — Who can join folders shared by team members.
      - team_policies.SharedFolderMemberPolicy.team
        - `.tag` (enum, required)
          - Allowed values: `team`
      - team_policies.SharedFolderMemberPolicy.anyone
        - `.tag` (enum, required)
          - Allowed values: `anyone`
      - team_policies.SharedFolderMemberPolicy.team_and_approved
        - `.tag` (enum, required)
          - Allowed values: `team_and_approved`
      - Other
        - `.tag` (string, optional)
    - `shared_link_create_policy` (object or object or object or object or object, required) — Who can view shared links owned by team members.
      - team_policies.SharedLinkCreatePolicy.default_public
        - `.tag` (enum, required)
          - Allowed values: `default_public`
      - team_policies.SharedLinkCreatePolicy.default_team_only
        - `.tag` (enum, required)
          - Allowed values: `default_team_only`
      - team_policies.SharedLinkCreatePolicy.team_only
        - `.tag` (enum, required)
          - Allowed values: `team_only`
      - team_policies.SharedLinkCreatePolicy.default_no_one
        - `.tag` (enum, required)
          - Allowed values: `default_no_one`
      - Other
        - `.tag` (string, optional)
    - `shared_link_default_permissions_policy` (object or object or object or object, required) — Default access level for new links shared by team members.
      - team_policies.SharedLinkDefaultPermissionsPolicy.default
        - `.tag` (enum, required)
          - Allowed values: `default`
      - team_policies.SharedLinkDefaultPermissionsPolicy.edit
        - `.tag` (enum, required)
          - Allowed values: `edit`
      - team_policies.SharedLinkDefaultPermissionsPolicy.view
        - `.tag` (enum, required)
          - Allowed values: `view`
      - Other
        - `.tag` (string, optional)
  - `top_level_content_policy` (object or object or object, required) — Team policy governing whether members can edit team folders at the top level of the team space.
    - team_policies.TopLevelContentPolicy.admin_only
      - `.tag` (enum, required)
        - Allowed values: `admin_only`
    - team_policies.TopLevelContentPolicy.everyone
      - `.tag` (enum, required)
        - Allowed values: `everyone`
    - Other
      - `.tag` (string, optional)
- `team_member_id` (string, optional, nullable) — This account's unique team member id. This field will only be present if `team` is present.

## Errors

### 401 Unauthorized Error

Bad or expired token

- `error` (object or object or object or object or object or object or object or object, required) — Errors occurred during authentication.
  - auth_apiv2.AuthError.invalid_access_token
    - `.tag` (enum, required)
      - Allowed values: `invalid_access_token`
  - auth_apiv2.AuthError.invalid_select_user
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_user`
  - auth_apiv2.AuthError.invalid_select_admin
    - `.tag` (enum, required)
      - Allowed values: `invalid_select_admin`
  - auth_apiv2.AuthError.user_suspended
    - `.tag` (enum, required)
      - Allowed values: `user_suspended`
  - auth_apiv2.AuthError.expired_access_token
    - `.tag` (enum, required)
      - Allowed values: `expired_access_token`
  - auth_apiv2.AuthError.missing_scope
    - `.tag` (enum, required)
      - Allowed values: `missing_scope`
    - `required_scope` (string, required) — The required scope to access the route.
  - auth_apiv2.AuthError.route_access_denied
    - `.tag` (enum, required)
      - Allowed values: `route_access_denied`
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 403 Forbidden Error

The user or team account doesn't have access to the endpoint or feature

- `error` (object or object or object or object or object, required) — Error occurred because the account doesn't have permission to access the resource.
  - auth_apiv2.AccessError.invalid_account_type
    - `.tag` (enum, required)
      - Allowed values: `invalid_account_type`
    - `invalid_account_type` (object or object or object, required)
      - auth_apiv2.InvalidAccountTypeError.endpoint
        - `.tag` (enum, required)
          - Allowed values: `endpoint`
      - auth_apiv2.InvalidAccountTypeError.feature
        - `.tag` (enum, required)
          - Allowed values: `feature`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.paper_access_denied
    - `.tag` (enum, required)
      - Allowed values: `paper_access_denied`
    - `paper_access_denied` (object or object or object, required)
      - auth_apiv2.PaperAccessError.paper_disabled
        - `.tag` (enum, required)
          - Allowed values: `paper_disabled`
      - auth_apiv2.PaperAccessError.not_paper_user
        - `.tag` (enum, required)
          - Allowed values: `not_paper_user`
      - Other
        - `.tag` (string, optional)
  - auth_apiv2.AccessError.team_access_denied
    - `.tag` (enum, required)
      - Allowed values: `team_access_denied`
  - auth_apiv2.AccessError.no_permission
    - `.tag` (enum, required)
      - Allowed values: `no_permission`
    - `no_permission` (object or object, required)
      - auth_apiv2.NoPermissionError.unauthorized_account_id_usage
        - `.tag` (enum, required)
          - Allowed values: `unauthorized_account_id_usage`
        - `unauthorized_account_ids` (list of string, required) — The account IDs that the caller does not have permission to use.
      - Other
        - `.tag` (string, optional)
  - Other
    - `.tag` (string, optional)
- `error_summary` (string, required) — A human-readable summary of the error.

### 409 Conflict Error

No endpoint-specific errors

- `any`

### 429 Too Many Requests Error

The app is making too many requests for the given user or team and is being rate limited. The app should wait for the number of seconds specified in the "Retry-After" response header before trying again.

- `error` (object, required) — Error occurred because the app is being rate limited.
  - `reason` (object or object or object, required) — The reason why the app is being rate limited.
    - auth_apiv2.RateLimitReason.too_many_requests
      - `.tag` (enum, required)
        - Allowed values: `too_many_requests`
    - auth_apiv2.RateLimitReason.too_many_write_operations
      - `.tag` (enum, required)
        - Allowed values: `too_many_write_operations`
    - Other
      - `.tag` (string, optional)
  - `retry_after` (uint64, optional, default: 1) — The number of seconds that the app should wait before making another request.
- `error_summary` (string, required) — A human-readable summary of the error.

### 500 Internal Server Error

Internal server error. An error occurred on the Dropbox servers. Check https://status.dropbox.com/ for announcements about Dropbox service issues.

- `any`

## Examples

**Response**

```json
{
  "account_id": "dbid:AAH4f99T0taONIb-OurWxbNQ6ywGRopQngc",
  "account_type": {
    ".tag": "business",
    "business": null
  },
  "disabled": false,
  "email": "franz@dropbox.com",
  "email_verified": true,
  "is_paired": true,
  "locale": "en",
  "name": {
    "abbreviated_name": "FF",
    "display_name": "Franz Ferdinand (Personal)",
    "familiar_name": "Franz",
    "given_name": "Franz",
    "surname": "Ferdinand"
  },
  "referral_link": "https://db.tt/ZITNuhtI",
  "root_info": {
    ".tag": "user",
    "home_namespace_id": "3235641",
    "root_namespace_id": "3235641"
  },
  "country": "US",
  "profile_photo_url": "https://dl-web.dropbox.com/account_photo/get/dbaphid%3AAAHWGmIXV3sUuOmBfTz0wPsiqHUpBWvv3ZA?vers=1556069330102&size=128x128",
  "team": {
    "id": "dbtid:AAFdgehTzw7WlXhZJsbGCLePe8RvQGYDr-I",
    "name": "Acme, Inc.",
    "office_addin_policy": {
      ".tag": "disabled"
    },
    "sharing_policies": {
      "default_link_expiration_days_policy": {
        ".tag": "none"
      },
      "enforce_link_password_policy": {
        ".tag": "optional"
      },
      "group_creation_policy": {
        ".tag": "admins_only"
      },
      "shared_folder_join_policy": {
        ".tag": "from_anyone"
      },
      "shared_folder_link_restriction_policy": {
        ".tag": "anyone"
      },
      "shared_folder_member_policy": {
        ".tag": "team"
      },
      "shared_link_create_policy": {
        ".tag": "team_only"
      },
      "shared_link_default_permissions_policy": {
        ".tag": "default"
      }
    },
    "top_level_content_policy": {
      ".tag": "admin_only"
    }
  },
  "team_member_id": "dbmid:AAHhy7WsR0x-u4ZCqiDl5Fz5zvuL3kmspwU"
}
```

**SDK Code**

```python
import requests

url = "https://api.dropboxapi.com/2/users/get_current_account"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dropboxapi.com/2/users/get_current_account';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dropboxapi.com/2/users/get_current_account"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dropboxapi.com/2/users/get_current_account")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dropboxapi.com/2/users/get_current_account")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dropboxapi.com/2/users/get_current_account', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dropboxapi.com/2/users/get_current_account");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dropboxapi.com/2/users/get_current_account")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```